org.hibernate.search.jmx

## Interface IndexControlMBean

- All Known Implementing Classes:
    IndexControl

      public interface IndexControlMBean

  Defines the Hibernate Search exposed JMX attributes and operations for index creation and purging.
  Author:
    Hardy Ferentschik

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `INDEX_CTRL_MBEAN_OBJECT_NAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchSize()`
    `int` | `getNumberOfFetchingThreads()`
    `int` | `getNumberOfObjectLoadingThreads()`
    `void` | `index(String entity)` Index the specified entity using the mass indexer.
    `void` | `optimize(String entity)` Optimizes the index for the specified entity.
    `void` | `purge(String entity)` Purge the index of the specified entity.
    `void` | `setBatchSize(int batchSize)` Sets the batch size for the mass indexer.
    `void` | `setNumberOfFetchingThreads(int numberOfThreads)`
    `void` | `setNumberOfObjectLoadingThreads(int numberOfThreads)`

- - ### Field Detail

    - #### INDEX_CTRL_MBEAN_OBJECT_NAME

          static final String INDEX_CTRL_MBEAN_OBJECT_NAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setBatchSize

          void setBatchSize(int batchSize)

      Sets the batch size for the mass indexer.
      Parameters:
        `batchSize` - the new batch size

    - #### getBatchSize

          int getBatchSize()

      Returns:
        the current batch size for (mass) indexing

    - #### setNumberOfObjectLoadingThreads

          void setNumberOfObjectLoadingThreads(int numberOfThreads)

      Parameters:
        `numberOfThreads` - the number of threads used for object loading during mass indexing.

    - #### getNumberOfObjectLoadingThreads

          int getNumberOfObjectLoadingThreads()

      Returns:
        the current number of threads during mass indexing

    - #### setNumberOfFetchingThreads

          void setNumberOfFetchingThreads(int numberOfThreads)

      Parameters:
        `numberOfThreads` - the number of threads used for collections fetching during mass indexing

    - #### getNumberOfFetchingThreads

          int getNumberOfFetchingThreads()

      Returns:
        the current number of threads used for collection fetching

    - #### index

          void index(String entity)

      Index the specified entity using the mass indexer.

      Note:
      This method is only available if the Hibernate `SessionFactory` is available via JNDI.

      Parameters:
        `entity` - The fqc of the entity to index
      Throws:
        `IllegalArgumentException` - in case the entity name is not valid
        `UnsupportedOperationException` - in case the Hibernate `SessionFactory` is not bound via JNDI.

    - #### optimize

          void optimize(String entity)

      Optimizes the index for the specified entity.

      Note:
      This method is only available if the Hibernate `SessionFactory` is available via JNDI.

      Parameters:
        `entity` - The fqc of the entity to index
      Throws:
        `IllegalArgumentException` - in case the entity name is not valid
        `UnsupportedOperationException` - in case the Hibernate `SessionFactory` is not bound via JNDI.

    - #### purge

          void purge(String entity)

      Purge the index of the specified entity.

      Note:
      This method is only available if the Hibernate `SessionFactory` is available via JNDI.

      Parameters:
        `entity` - The fqc of the entity to index
      Throws:
        `IllegalArgumentException` - in case the entity name is not valid
        `UnsupportedOperationException` - in case the Hibernate `SessionFactory` is not bound via JNDI.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved